//
//  CoffeSelectorViewController.m
//  Desayuno
//
//  Created by Santiago Pavón on 05/10/13.
//  Copyright (c) 2013 UPM. All rights reserved.
//

#import "CoffeSelectorViewController.h"

@interface CoffeSelectorViewController () <UITextFieldDelegate>
@property (weak, nonatomic) IBOutlet UITextField *textField;
@end

@implementation CoffeSelectorViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    
    self.textField.text = self.currentPreferredCoffe;
    self.textField.delegate = self;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Local Actions

- (IBAction)done:(UIButton *)sender {
      [self.delegate setPreferredCoffe:self.textField.text];
}

- (IBAction)cancel:(UIButton *)sender {
       [self.delegate preferredCoffeSelectionWasCancelled];
}

#pragma mark Text Field delegate

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [self hideKeyboard];
    
    return YES;
}

- (IBAction) hideKeyboard
{
    [self.textField resignFirstResponder];
}
@end
